<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Employees</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Karyawan</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-header">
                            <h4>List</h4>
                        </div>
                        <div class="card-body">
                            <div class="d-flex justify-content-between text-muted border-bottom border-top py-3 mt-3">
                                <div class="col-md-12 col-xs-12">
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                                        New
                                    </button>

                                    <!-- Modal -->
                                    <div class="modal fade" id="exampleModal" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <form th:action="@{/masters/employee/jobPosition/new}" method="post">
                                                        <div class="form-group">
                                                            <input type="hidden" name="karyawan" th:value="${id}">
                                                            <label>Jabatan</label>
                                                            <select class="form-control select2" name="jabatan" id="">
                                                                <option selected disabled>Select One</option>
                                                                <option th:each="data, row:${jabatan}"
                                                                        th:text="${data.namaJabatan}"
                                                                        th:value="${data.id}"></option>
                                                            </select>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Mulai Berlaku</label>
                                                            <input type="date" name="mulaiBerlaku" class="form-control">
                                                        </div>
                                                        <div class="form-group">
                                                            <label>Keterangan</label>
                                                            <input type="text" name="keterangan" class="form-control">
                                                        </div>
                                                        <div class="form-group">
                                                            <button class="btn btn-primary">Save</button>
                                                        </div>
                                                    </form>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Jabatan</th>
                                        <th>Tanggal Mulai Berlaku</th>
                                        <th>Keterangan</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row : ${employeePosition}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data[1]}"></td>
                                        <td th:text="${data[2]}"></td>
                                        <td th:text="${data[3]}"></td>
                                        <td>
                                            <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data[0]}">
                                                <i class="fa fa-trash"></i>
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModal' + data[0]}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/masters/employee/jobPosition/delete(karyawanJabatan = ${data[0]})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                Apakah Anda ingin menghapus data ini ?
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                <button type="submit" class="btn btn-primary">Yes</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>
</div>
</body>
</html>